Subject: Anthuriums whereabouts info

From: [email-masked]
Date: 24 Mar 1995 02:07:40 GMT

Hi!,
I want the whereabouts of Anthuriums grown in U.S.A(other than 
hawaii).How can i get them & some details.I come from India where we 
havee a very good collection of Anthuriums.(Around 50 different 
shades).There are people near our estate who are having around 250 to 300 
shades & it is really viewers delight.
   I would like to hear from people who are intrested in or growing 
Anthuriums.

mandy.